package ru.landgrafhomyak.serdha.api.v0.ddl

public interface ModuleTemplate<W : Any> {
	public fun <NW : Any> modify(
		newVersionKey: String,
		updater: (oldModule: ModuleTemplate<W>, rootNs: Namespace, updater: ModuleModifyingRound) -> NW
	): ModuleTemplate<NW>

	public val versionKey: String
}