package ru.landgrafhomyak.serdha.api.v0.runtime

import ru.landgrafhomyak.serdha.api.v0.ddl.Column

public interface Row<QueryUserWrapper : Any> {
	public operator fun <RuntimeType> get(c: Column<RuntimeType, *, QueryUserWrapper>): RuntimeType

	public operator fun get(c: Column<Byte, *, QueryUserWrapper>): Byte = this.get<Byte>(c)
	public operator fun get(c: Column<UByte, *, QueryUserWrapper>): UByte = this.get<UByte>(c)
	public operator fun get(c: Column<Short, *, QueryUserWrapper>): Short = this.get<Short>(c)
	public operator fun get(c: Column<UShort, *, QueryUserWrapper>): UShort = this.get<UShort>(c)
	public operator fun get(c: Column<Int, *, QueryUserWrapper>): Int = this.get<Int>(c)
	public operator fun get(c: Column<UInt, *, QueryUserWrapper>): UInt = this.get<UInt>(c)
	public operator fun get(c: Column<Long, *, QueryUserWrapper>): Long = this.get<Long>(c)
	public operator fun get(c: Column<ULong, *, QueryUserWrapper>): ULong = this.get<ULong>(c)
	public operator fun get(c: Column<Char, *, QueryUserWrapper>): Char = this.get<Char>(c)
	public operator fun get(c: Column<Boolean, *, QueryUserWrapper>): Boolean = this.get<Boolean>(c)
}