package ru.landgrafhomyak.serdha.api.v0.runtime

import ru.landgrafhomyak.serdha.api.v0.ddl.ModuleModifyingRound
import ru.landgrafhomyak.serdha.api.v0.ddl.ModuleTemplate
import ru.landgrafhomyak.serdha.api.v0.ddl.Namespace

@Suppress("SpellCheckingInspection")
public interface UnsynchronizedDatabase {
	public fun <W : Any> createModule(initialVersionKey: String, content: (rootNs: Namespace, updater: ModuleModifyingRound) -> W): ModuleTemplate<W>

	public suspend fun <W : Any> synchronize(conent: ModuleTemplate<W>): SynchronizedDatabase<W>
}